%global basever 0.8.18

Name:           simple-ccsm
Version:        0.8.18
Release:    1%{?dist}
Summary:        Simple settings manager for Compiz
License:        GPLv2+
URL:            https://gitlab.com/compiz/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  fdupes
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(compiz) >= %{basever}
BuildRequires:  pkgconfig(libcompizconfig)
Requires:       compiz-plugins-main >= %{basever}
Requires:       ccsm >= %{basever}
Requires:       python3-cairo
Requires:       compizconfig-python
Requires:       python3-gobject
Recommends:     compiz-plugins-extra >= %{basever}


%description
Compiz settings manager focused on simplicity for an end-user.


%prep
%autosetup -n %{name}-v%{version}

%build
python3 setup.py build \
    --prefix=%{_prefix} \
    --enableDesktopEffects

%install
python3 setup.py install \
    --root=%{buildroot} \
    --prefix=%{_prefix}

mv %{buildroot}%{_datadir}/{metainfo,appdata}/

fdupes -s %{buildroot}%{_datadir}/

desktop-file-install                              \
    --delete-original                             \
    --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md NEWS
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/%{name}.appdata.xml
%{python3_sitelib}/simple_ccsm-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Sep 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.18-1
- initial build
